# IteratorIterator::getInnerIterator

(PHP 5 >= 5.1.0, PHP 7)

IteratorIterator::getInnerIterator — Get the inner iterator

### Description

public IteratorIterator::getInnerIterator ( void ) : Traversable

Get the inner iterator.

### Parameters

This function has no parameters.

### Return Values

The inner iterator as passed to IteratorIterator::__construct().

### See Also

- Iterator
- OuterIterator